Aerovy Platform logo

Get a fleet's metric timeseries

GEThttps://spectra.api.aerovy.com/v2/fleets/{placeId}/timeseries/metrics

Returns the binned time-series for specific metrics across a fleet (max 20 metrics). Requires an API key with the read action scoped to the fleet.

Loading code example
Loading code example

Authorizations

apiKeystringheaderrequired

API key passed in the header.

Path Parameters

placeIdstringrequired

The fleet id.

Query Parameters

metricIdsarray<string>

The metric ids (1–20).

startTimestring<date-time>

Inclusive start (UTC).

endTimestring<date-time>

Exclusive end (UTC).

binUnitstringdefault: h

Bin unit (default h).

Default: "h"
binValueinteger | string<int32>default: 1

Bin size (default 1).

Pattern: ^-?(?:0|[1-9]\d*)$
Default: 1

Response

application/json

The binned points.